<?php

namespace app\enums;

enum SourceEnum
{
    case VOGEU;

    public function baseUrl(): string
    {
        return match($this) {
            self::VOGEU => 'https://www.vogue.com/',
        };
    }

    public function value(): int
    {
        return match($this) {
            self::VOGEU => 1,
        };
    }
}